curl --request GET \
--url https://api.tensormesh.ai/v1/users/{userId} \
--header 'Authorization: Bearer <token>'{
"user": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"userEmail": "<string>",
"authProvider": "AUTH_PROVIDER_UNSPECIFIED",
"authProviderId": "<string>",
"avatarUrl": "<string>",
"stripeCusId": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"apiKey": "<string>",
"company": "<string>",
"tosAcceptedAt": "2023-11-07T05:31:56Z",
"surveyCompletedAt": "2023-11-07T05:31:56Z"
}
}Retrieves an existing user profile by ID or email.
curl --request GET \
--url https://api.tensormesh.ai/v1/users/{userId} \
--header 'Authorization: Bearer <token>'{
"user": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"userEmail": "<string>",
"authProvider": "AUTH_PROVIDER_UNSPECIFIED",
"authProviderId": "<string>",
"avatarUrl": "<string>",
"stripeCusId": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"apiKey": "<string>",
"company": "<string>",
"tosAcceptedAt": "2023-11-07T05:31:56Z",
"surveyCompletedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication using an access token. Format: Bearer <access_token>
The unique ID of the user.
The email address of the user.
A successful response.
GetUserProfileResponse is the response for retrieving a user profile.
User represents a user profile in the system.
Show child attributes